<?php
	get_header();// Include header.php
?>
	<div id='content' class='clear'>
		<div class='width clear'>
		<?php if (have_posts()) : the_post(); ?>
			<div id="post-<?php the_ID(); ?>" <?php post_class('entry-singular'); ?>>

				<div class='entry-style'>
				<?php //the_date('d M', '<span class=\'entry-date\'><span class=\'date\'>', '</span></span><!-- End .entry-date -->');
					printf('<span class=\'entry-date\'><span class=\'date\'>%1$s</span></span><!-- End .entry-date -->',
						esc_attr( get_the_date('d M') ));
				?>
				</div><!-- End .entry-style -->

				<h2 class='entry-title'><a href="<?php the_permalink() ?>#post-<?php the_ID(); ?>" rel="bookmark" title="<?php printf( esc_attr__( 'Permalink to %s', 'selaluceria' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a></h2>
				<div class='entry-content'>
					<?php
						$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
						foreach ( $attachments as $k => $attachment ) {
							if ( $attachment->ID == $post->ID )
							break;
						}

						$k++;
						// If there is more than 1 attachment in a gallery
					if ( count( $attachments ) > 1 ) {
						if ( isset( $attachments[ $k ] ) )
							// get the URL of the next image attachment
							$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
						else
							// or get the URL of the first image attachment
							$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
					} else {
						// or, if there's only 1 image, get the URL of the image
						$next_attachment_url = wp_get_attachment_url();
					}
					?>

					<a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>">
					<?php
						$attachment_size = apply_filters( 'sc_attachment_size', 848 );
						echo wp_get_attachment_image( $post->ID, array( $attachment_size, 1024 ) ); // filterable image width with 1024px limit for image height.
					?></a>

					<?php /* if ( ! empty( $post->post_excerpt ) ) : ?>
						<?php the_excerpt(); ?>
					<?php endif; */ ?>

					<?php
					the_content(); ?>
					<?php wp_link_pages(array('before' => '<div class="page-link clear"><span>Pages:</span> ', 'after' => '</div>', 'next_or_number' => 'number')); ?>

					<div class='navigation clear'>
						<div class='alignleft'><?php previous_image_link( false, __( 'Previous' , 'selaluceria' ) ); ?></div>
						<div class='alignright'><?php next_image_link( false, __( 'Next' , 'selaluceria' ) ); ?></div>
					</div><!-- End .navigation .clear -->
					
				</div><!-- End .entry-content -->
				<span class='entry-meta'>

					<span class='the-author clear'>
						<span title='author : <?php the_author(); ?>' class='ico'><?php _e('Author:', 'selaluceria') ?> <!-- &nbsp; --></span>
						<span><?php
								//the_author_link();
								the_author_posts_link();
								//the_author();
								?>
						</span>
					</span><!-- End .the-author -->

					<span class='comments-popup clear'>
						<span class='ico'><?php comments_popup_link( __('No Comments', 'selaluceria'), __('1 Comment', 'selaluceria'), __('% Comments', 'selaluceria'), '', __('Comments Closed', 'selaluceria') ); ?>
					</span><!-- End .comments-popup -->

					<?php
						$metadata = wp_get_attachment_metadata();
						printf('
							<span class="att full-size">View:<a href="%1$s">Full Size</a></span>
							<span class="att img-width">Image width: %2$s </span>
							<span class="att img-height">Image height: %3$s </span>
							<span class="att post-parent">Parent Post: <a href="%4$s" title="%5$s">%6$s</a></span>',
							esc_url( wp_get_attachment_url() ),
							$metadata['width'],
							$metadata['height'],
							esc_url( get_permalink( $post->post_parent ) ),
							esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ),
							get_the_title( $post->post_parent ));
					?>
					<?php edit_post_link(); ?>

				</span><!-- End .entry-meta -->

				<div id='comment-wrap' class='clear'>
					<?php comments_template(); ?>
				</div><!-- End #comment-wrap .clear -->
			</div><!-- End <div id="post-<?php the_ID(); ?>" <?php post_class('entry-singular'); ?>> -->

		<?php else: ?>

		<div class='entry-singular'>
			<div class='not-found'>
				<h2 class='center'><?php _e('Not Found', 'selaluceria') ?></h2>
				<p class='center'><?php _e('Sorry, no entries on this page. Search other here;', 'selaluceria') ?></p>
				<?php get_search_form(); ?>
			</div><!-- .not-found -->
		</div><!-- .entry-singular -->

		<?php endif; ?>

		<?php get_sidebar(); //include sidebar.php ?>
		</div><!-- End .width .clear -->
	</div><!-- End #content .clear -->
	<?php
		get_footer(); //Include footer.php
	?>